mxTemporaryCellStates (JGraph X 2.1.0.7 API Specification)
Date: 2013-07-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 2.1.0.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mxgraph.view
Class mxTemporaryCellStates

    java.lang.Object
      com.mxgraph.view.mxTemporaryCellStates

    public class mxTemporaryCellStates

extends Object

Field Summary
`protected mxRectangle` | `oldBounds`
`protected double` | `oldScale`
`protected Hashtable<Object,mxCellState>` | `oldStates`
`protected mxGraphView` | `view`

Constructor Summary
`mxTemporaryCellStates(mxGraphView view)` Constructs a new temporary cell states instance.
`mxTemporaryCellStates(mxGraphView view, double scale)` Constructs a new temporary cell states instance.
`mxTemporaryCellStates(mxGraphView view, double scale, Object[] cells)` Constructs a new temporary cell states instance.

Method Summary
`void` | `destroy()` Destroys the cell states and restores the state of the graph view.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### view

    protected mxGraphView view

### oldStates

    protected Hashtable<Object,mxCellState> oldStates

### oldBounds

    protected mxRectangle oldBounds

### oldScale

    protected double oldScale

Constructor Detail

### mxTemporaryCellStates

    public mxTemporaryCellStates(mxGraphView view)

  Constructs a new temporary cell states instance.

### mxTemporaryCellStates

    public mxTemporaryCellStates(mxGraphView view,
                                 double scale)

  Constructs a new temporary cell states instance.

### mxTemporaryCellStates

    public mxTemporaryCellStates(mxGraphView view,
                                 double scale,
                                 Object[] cells)

  Constructs a new temporary cell states instance.

Method Detail

### destroy

    public void destroy()

  Destroys the cell states and restores the state of the graph view.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 2.1.0.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2010 Gaudenz Alder. All rights reserved.